using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Txgy.RBS.Framework.Models
{
    //recv配置：波形数据存储目录,由基础路径+工程名称+"wavesdata"拼接
    public class RecvMqttModel
    {
        public string savepath { get; set; }
        [JsonProperty("log_level")]
        public string log_level { get; set; }
        [JsonProperty("send2server")]    //recv配置：Send2Redis
        public string send2server { get; set; }
        [JsonProperty("MQTT.Server")]    //recv配置：MqttServer
        public string Server { get; set; }
        [JsonProperty("MQTT.Stations")]
        public string Stations { get; set; }
        [JsonProperty("MQTT.Send81")]
        public string Send81 { get; set; }
        [JsonProperty("dirstruct")]      
        public string dirstruct { get; set; }
        [JsonProperty("Help")]
        public string Help { get; set; }
    }
}
